Jump to content

SCS v32 Release Candidate (now Version 10) Available for Testing


Recommended Posts

 

 

I also get some errors during installation on BG2EE 2.5 on Linux. I installed other mods before SCS and thought that it was the cause.

However, installing only SCS also gives the same errors.

 

I attached a debug file.

 

I can't conveniently read .gz, but I suspect this is the same problem that OSX users are having. I *probably* have a fix but am waiting for confirmation.

 

Ok, it should be good now.

I changed it to rar.

 

OK, yes: this is the same issue with SSL on OSX not installing that I posted about on another thread here. Can you try the solution I posted there and let me know if it works?

Link to post

I noticed the following errors during my last test installation (Weidu-Log attached):

 

One major error, that prevented the installation of this component during 1500: Include arcane spells from Icewind Dale: Enhanced Edition:

 

 

Patching CDIA629.ITM into store...

ERROR: [25SPELL.STO] -> [override/25SPELL.STO] Patching Failed (COPY) (Invalid_argument("String.blit / Bytes.blit_string"))

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

 

ERROR Installing [include arcane spells from Icewind Dale: Enhanced Edition], rolling back to previous state

Will uninstall 982 files for [sTRATAGEMS/SETUP-STRATAGEMS.TP2] component 1500.

Uninstalled 982 files for [sTRATAGEMS/SETUP-STRATAGEMS.TP2] component 1500.

ERROR: Invalid_argument("String.blit / Bytes.blit_string")

Please make a backup of the file: SETUP-STRATAGEMS.DEBUG and look for support at: For help troubleshooting installation problems, go to the Sword Coast Stratagems forum at forums.gibberlings3.net.

Automatically Skipping [include arcane spells from Icewind Dale: Enhanced Edition] because of error.

Using Language [English]

[.\lang\en_us\dialog.tlk] created, 480069 string entries

 

NOT INSTALLED DUE TO ERRORS Include arcane spells from Icewind Dale: Enhanced Edition

 

D:\Steam\steamapps\common\Baldur's Gate II Enhanced Edition>

ERROR: [25SPELL.STO] -> [override/25SPELL.STO] Patching Failed (COPY) (Invalid_argument("String.blit / Bytes.blit_string"))

ERROR: Invalid_argument("String.blit / Bytes.blit_string")

Include arcane spells from Icewind Dale: Enhanced Edition (Sword Coast Stratagems) was not installed due to errors.

 

You can try to repair the problem and start the installation of the component again. In this case please select "retry" after the repair.

 

 

 

In addition there were some minor parsing errors during 6040: Smarter Priests

 

 

Installing file(s) x#andart.baf

Compiling 1 script ...

 

[tb#compile_patches/stratagems/priest/scripts/x#andart.baf] PARSE ERROR at line 2 column 1-12

Near Text: %BGT_VAR%

syntax error

ERROR: parsing [tb#compile_patches/stratagems/priest/scripts/x#andart.baf]: Parsing.Parse_error

ERROR: error compiling [tb#compile_patches/stratagems/priest/scripts/x#andart.baf]: Parsing.Parse_error

ERROR: compiling [stratagems/priest/scripts/x#andart.baf]!

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

ERROR: [X#ANDART.CRE] -> [override/X#ANDART.CRE] Patching Failed (COPY) (Parsing.Parse_error)

Stopping installation because of error.

 

Failed to patch X#ANDART.CRE; error message was Parsing.Parse_error

 

Failed to patch X#ANDART.CRE; error message was Parsing.Parse_error

 

 

 

 

Installing file(s) x#belgin.baf

Compiling 1 script ...

 

[tb#compile_patches/stratagems/priest/scripts/x#belgin.baf] PARSE ERROR at line 5 column 1-12

Near Text: %BGT_VAR%

syntax error

ERROR: parsing [tb#compile_patches/stratagems/priest/scripts/x#belgin.baf]: Parsing.Parse_error

ERROR: error compiling [tb#compile_patches/stratagems/priest/scripts/x#belgin.baf]: Parsing.Parse_error

ERROR: compiling [stratagems/priest/scripts/x#belgin.baf]!

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

ERROR: [X#BELGIN.CRE] -> [override/X#BELGIN.CRE] Patching Failed (COPY) (Parsing.Parse_error)

Stopping installation because of error.

 

Failed to patch X#BELGIN.CRE; error message was Parsing.Parse_error

 

Failed to patch X#BELGIN.CRE; error message was Parsing.Parse_error

 

 

 

 

Installing file(s) x#mareth.baf

Compiling 1 script ...

 

[tb#compile_patches/stratagems/priest/scripts/x#mareth.baf] PARSE ERROR at line 1 column 0-11

Near Text: %BGT_VAR%

syntax error

ERROR: parsing [tb#compile_patches/stratagems/priest/scripts/x#mareth.baf]: Parsing.Parse_error

ERROR: error compiling [tb#compile_patches/stratagems/priest/scripts/x#mareth.baf]: Parsing.Parse_error

ERROR: compiling [stratagems/priest/scripts/x#mareth.baf]!

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

Stopping installation because of error.

ERROR: [X#MARETH.CRE] -> [override/X#MARETH.CRE] Patching Failed (COPY) (Parsing.Parse_error)

Stopping installation because of error.

 

Failed to patch X#MARETH.CRE; error message was Parsing.Parse_error

 

Failed to patch X#MARETH.CRE; error message was Parsing.Parse_error

 

 

 

Finally 5070: Cosmetic change: stop Stoneskins from changing the caster's colour could not install:

 

 

Ready for installation

Setup-stratagems.exe --no-exit-pause --noautoupdate --language 0 --skip-at-view --force-install-list 5070 --logapp

[setup-stratagems.exe] WeiDU version 24600

Using Language [English]

 

Using .\lang\en_us\dialog.tlk

 

SKIPPING: [Cosmetic change: stop Stoneskins from changing the caster's colour]

This component only works on Windows installs and does not work on BG:EE

weidu_external/lang/english/setup.tra file not found. Skipping...

 

 

Does this not work on BG:EE or also not on BG2:EE/EET?

WeiDU.log

WeiDU-BGEE.log

Link to post

@Throari:

 

- the arcane spell issue is the same one Filippo noticed, and is some kind of compatibility problem (it works fine on a clean install). Both you and Filippo have quite complicated mod stacks, which is making it tricky to pin down. I think your BGEE log is incomplete; can you check and re-post it?

- see upthread (or the readme) for Stoneskin

- the parse errors are something to do with BG1NPC compatibility, I think; will check

Link to post

Throari and Filippo:

 

the compatibility bug you're both finding with 'IWD arcane spells' is quite elusive. I've just installed every mod component that's present in *both* your installs, but the component still installs fine for me.

 

Can you find the file "override/25spell.sto", zip it, and attach it to a comment? Maybe I can find what's wrong directly from the file...

Link to post

Since I'm doing an SCS release atm anyway, is there anything I should be tweaking based on changes from v4b15 (which was my baseline)?

 

I'm not going to make any substantial changes since I don't want to risk breaking things or delaying my official release, but I don't mind tweaking a library file or two if it's necessary.

I've played a bit with SR + v32.
You've outdone yourself...great work. Seeing enemies use Sound Burst, True Strike etc. is awesome.
Mulahey fight...wow.
SRDetectInvisibility trigger is the best thing in SCS ever since v21's removal of Misleads.... :)
As per changes:
- in kill_maze_stun; SR Disintegrate is magic damage, so you can put a check for magic damage resistance there
- in IR lib, L1 safe and L2 safe can be deleted, armor will be reworked and these checks arent needed
- for clerics, smite and blight don't care about alignment in SR, they affect all enemies regardless
- Nature's beauty is a charm spell in SR, it doesn't blind anyone

S

ince I'm doing an SCS release atm anyway, is there anything I should be tweaking based on changes from v4b15 (which was my baseline)?

 

I'm not going to make any substantial changes since I don't want to risk breaking things or delaying my official release, but I don't mind tweaking a library file or two if it's necessary.

Link to post

OK, identified and fixed Legotaksin's bug (there are actually two bugs, the guard wandering off has a different cause from Aerie). Identified some serious glitches in the auto-level code in doing so.

 

 

New RC probably tomorrow morning Pacific time, unlikely to have a chance before then.

Link to post

Attached is the WeiDU.log from the BG1 folder. This should complete the WeiDU.log?

Also attached is the zipped 25spell.sto from the overwrite folder. In addition I searched for 25spell.sto in other mod folders too. The only other occurrence is in the backup folder of Tweaks Anthology (cdtweaks) which was installed before SCS.

WeiDU.log

25spell.zip

Edited by Throari
Link to post

I think BUFF_ENHANCEMENT may be extraneous here, since it's primarily for stuff like DUHM, Tenser, Fire Shield etc. most of which are not breachable.

TRIGGER=BreachTarget
OR(4)
CheckSpellState(scstarget,BUFF_PRO_WEAPONS)
CheckSpellState(scstarget,BUFF_PRO_DAMAGE)
CheckSpellState(scstarget,BUFF_ENHANCEMENT)
CheckSpellState(scstarget,BUFF_PRO_EFFECTS)

 

Link to post

I installed the RC2 with the EE mod installer to a EET and playing it now. I enabled nearly all what was possible from SCS:

I had to fix by hand in the file acid_storm_tonedown.tpa the line

LAF clone_spell STR_VAR spell="%WIZARD_VITRIOLIC_SPHERE%Z=>%WIZARD_ACID_STORM%Z" edits=patch_data END

to 

LAF clone_spell STR_VAR spell="%WIZARD_VITRIOLIC_SPHERE%=>%WIZARD_ACID_STORM%" edits=patch_data END


I had also one time

ERROR: cannot convert %WIZARD_MORDENKAINENS_SWORD_IWD_LEVEL% or %%WIZARD_MORDENKAINENS_SWORD_IWD_LEVEL%% to an integer
ERROR: [ALHEL.CRE] -> [override/ALHEL.CRE] Patching Failed (COPY) (Not_found)

which seems related to iwdification (?).

I tested also Improved NPC customisation and management (BGEE,BG2EE,EET). which has some issues.

The biggest is, that if you recruit with exp 0 an npc (like imoen), the npc can level on and on. You need at last enough exp on the PC so its more as level 2 cpa of the npc you recruited. Also the ? menu did not vanish everytime from the npc menu and if i recruit a combo, means 2 or more npc where the 2+ npc comes additional to the npc you talked too, like with jaheira with Khalid, the additional npc (like Khalid) miss the selection ? menu.

Beside that it seems to work fine so far, great work.

Link to post
Guest
This topic is now closed to further replies.
×
×
  • Create New...